Bug 5307 - Create "real" thumbnails for image covers in archive view
Create "real" thumbnails for image covers in archive view
Status: RESOLVED WONTFIX
Product: OJS
Classification: Unclassified
Component: User Interface
To be determined
PC Linux
: P5 enhancement
Assigned To: PKP Support
http://www.psicoperspectivas.cl
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2010-04-12 18:04 PDT by Felipe Lav
Modified: 2013-05-29 16:21 PDT (History)
1 user (show)

See Also:
Version Reported In: 2.2.3
Also Affects:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Felipe Lav 2010-04-12 18:04:43 PDT
I know this was already reported (and resolved as "fixed") in http://pkp.sfu.ca/bugzilla/show_bug.cgi?id=3249 (and the somewhat related http://pkp.sfu.ca/bugzilla/show_bug.cgi?id=3422) but I think that the solution could be vastly improved.

In the issue/archive view, cover images for past issues are scaled only with CSS, so the full resolution images are still being downloaded. This presents two problems:

1) The scaled image generally looks really bad. Even in modern browsers, a very poor antialias is applied, so the resulting image is awfully pixelated.

2) Downloading the full image results in a high bandwidth consumption. While this might not be a big problem for who is hosting the journal, it's a real pain for the user who's trying to navigate through the archive.

I know this is probably not in the top development priorities, but I think we can be smarter and use existing solutions to create image thumbnails. Right now, I'm re-designing the site for a psychology journal and found this interesting script: http://code.google.com/p/timthumb/
Threw it in the public directory (probably not the best way to do it, but it works) and it's already working

I think it's something that could be useful for most people. Images are created dynamically with GET requests and the desired arguments, such as width, height, compression quality, crop. And it even keeps a cached copy, so it won't regenerate images on every page view. And its GPL licensed, so there's no problem to include it.

I hope this could help

Felipe Lavín
Comment 1 Alec Smecher 2010-04-14 09:26:51 PDT
Felipe, agreed on both points -- this would be good to add. Do you have a patch to add it?
Comment 2 Alec Smecher 2013-05-29 16:21:44 PDT
Superseded by OJS 3.0 work.